flyhigh

Use your source, Luke!

Mac OSXで、IntelliJをJDK1.7で動かす

Goのコードがでかくなってきたので、リファクタの手間がかかる。昔から、リファクタはIDEと決めているので、 IntelliJでやってみた。

現時点の最新版は、IntelliJ14。この前出たばっかり。

しかし、まさかのJDK1.6を要求してくる。そういう時は、Info.plistを書き換えましょう。

1
2
cd /Application/IntelliJ\ IDEA\ 14\ CE.app/
emacs Info.plist

で、JVMVersionというところをみつけて、1.6*1.7*に書き換えたらオッケー。

1
2
  <key>JVMVersion</key>
  <string>1.7*</string>

参考

How Do I Run idea IntelliJ on Mac OSX with JDK 17, stackoverflow